<?php
/**
 * handles creation of the chart
 *
 * @package PhpMyAdmin
 */
declare(strict_types=1);

use PhpMyAdmin\Controllers\Table\ChartController;
use Symfony\Component\DependencyInjection\Definition;

if (! defined('PHPMYADMIN')) {
    exit;
}

global $containerBuilder;

/* Define dependencies for the concerned controller */
$dependency_definitions = [
    'sql_query' => &$GLOBALS['sql_query'],
    'url_query' => &$GLOBALS['url_query'],
    'cfg' => &$GLOBALS['cfg'],
];

/** @var Definition $definition */
$definition = $containerBuilder->getDefinition(ChartController::class);
array_map(
    static function (string $parameterName, $value) use ($definition) {
        $definition->replaceArgument($parameterName, $value);
    },
    array_keys($dependency_definitions),
    $dependency_definitions
);

/** @var ChartController $controller */
$controller = $containerBuilder->get(ChartController::class);
$controller->indexAction();
